Skip to main content
`Ctrl`+`K`

# scipy.special.eval_sh_jacobi

scipy.special.eval_sh_jacobi(n, p, q, x, out=None) = <ufunc 'eval_sh_jacobi'>

  Evaluate shifted Jacobi polynomial at a point.

  Defined by

  \[G_n^{(p, q)}(x) = \binom{2n + p - 1}{n}^{-1} P_n^{(p - q, q - 1)}(2x - 1),\]

  where \(P_n^{(\cdot, \cdot)}\) is the n-th Jacobi polynomial. See 22.5.2 in [AS] for details.

  Parameters:
    n int

      Degree of the polynomial. If not an integer, the result is determined via the relation to `binom` and `eval_jacobi`.

    p float

      Parameter

    q float

      Parameter

    out ndarray, optional

      Optional output array for the function values

  Returns:
    G scalar or ndarray

      Values of the shifted Jacobi polynomial.

  See also

  `roots_sh_jacobi`

    roots and quadrature weights of shifted Jacobi polynomials

  `sh_jacobi`

    shifted Jacobi polynomial object

  `eval_jacobi`

    evaluate Jacobi polynomials

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.